org.eclipse.ecf.provider.comm

## Interface ISynchEventHandler

All Superinterfaces:
  IConnectionListener

All Known Subinterfaces:
  ISynchAsynchEventHandler

    public interface ISynchEventHandler
    extends IConnectionListener

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `handleSynchEvent(SynchEvent event)`

### Methods inherited from interface org.eclipse.ecf.provider.comm.IConnectionListener

`getEventHandlerID, handleConnectEvent, handleDisconnectEvent`

### Method Detail

#### handleSynchEvent

    Object handleSynchEvent(SynchEvent event)
                     throws IOException

Throws:
  `IOException`